Retrieve funding instruction

View as MarkdownOpen in Claude
Use this method to retrieve information about a funding instruction. To retrieve a funding instruction, you need its instructionId. Our gateway returned the instructionId in the response of the [Create Funding Instruction](https://docs.payroc.com/api/schema/funding/funding-instructions/create) method. **Note:** If you don't have the instructionId, use our [List Funding Instructions](https://docs.payroc.com/api/schema/funding/funding-instructions/list) method to search for the funding instruction. Our gateway returns the following information about the funding instruction: - Status of the funding instruction. - Funding information, including which merchant's funding balance we distribute and the funding account that we send the balance to.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

instructionIdstringRequired

Response

Successful request. Returns the funding instruction.
instructionIdintegerRead-only
Unique identifier that we assigned to the funding instruction.
createdDatestringRead-onlyformat: "datetime"
Date that we created the funding instruction. The date format follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard.
lastModifiedDatestringRead-onlyformat: "datetime"
Date of the most recent change to the funding instruction. The date format follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard.
statusenumRead-only
Status of the funding instruction. Our gateway returns one of the following values: - `accepted` - We have received the funding instruction but have not yet reviewed it. - `pending` - We have received the funding instruction and we are reviewing it. - `completed` - We have reviewed and processed the funding instruction.
Allowed values:
merchantslist of objects
Array of merchants objects. Each object specifies the merchant whose funding balance we distribute and who you want to send the funds to.
metadatamap from strings to strings

Metadata object you can use to include custom data with your request.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error